#include "stdafx.h"
#include "FolderTimer.h"


CFolderTimer* CFolderTimer::m_pClassPointer = NULL;

CFolderTimer::CFolderTimer()
{
  m_hWndLastOpen = NULL;
  m_hWndLastClose = NULL;
  m_uiOpenID = 0;
  m_uiCloseID = 0;
}

CFolderTimer::~CFolderTimer()
{
}

void CFolderTimer::SetOpenTimer(HWND hWnd)
{
  if (0 != m_uiCloseID)
  {
    KillTimer(m_hWndLastClose, __CLOSE_TIMER_ID__);
    m_uiCloseID = 0;
  }

  if (0 != m_uiOpenID && hWnd != m_hWndLastOpen)
  {
    KillTimer(m_hWndLastOpen, __OPEN_TIMER_ID__);
    m_uiOpenID = 0;
  }

  if (0 == m_uiOpenID)
  {
    m_hWndLastOpen = hWnd;
    m_uiOpenID = __OPEN_TIMER_ID__;
    SetTimer(hWnd, __OPEN_TIMER_ID__, 200, NULL);
  }
  
}

void CFolderTimer::KillOpenTimer()
{
  KillTimer(m_hWndLastOpen, __OPEN_TIMER_ID__);
  m_uiOpenID = 0;
  m_hWndLastOpen = NULL;
}

void CFolderTimer::SetCloseTimer(HWND hWnd)
{
}



CFolderTimer* CFolderTimer::Instance()
{
  if (NULL == m_pClassPointer)
    m_pClassPointer = new CFolderTimer();

  return (m_pClassPointer);
}

void CFolderTimer::Destroy()
{
  delete (m_pClassPointer);
  m_pClassPointer = NULL;
}


