// FileInfo.cpp: implementation of the CFileInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include <stdlib.h>
#include "FileInfo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CFileInfo::CFileInfo(const std::string &sName)
{
	char szPath[_MAX_PATH];
	char szDrive[_MAX_DRIVE];
	_splitpath(sName.c_str(), szDrive, szPath, NULL, NULL);

	m_sName = sName;
	m_sPath = szDrive;
	m_sPath += szPath;

  char szItem[MAX_PATH];
  lstrcpy(szItem, sName.c_str());

  int nLen = lstrlen(szItem);
  if (nLen && '\\' == szItem[nLen - 1])
    szItem[nLen - 1] = '\0';

  WIN32_FIND_DATA stFindData;
  HANDLE f = FindFirstFile(szItem, &stFindData);

	if (INVALID_HANDLE_VALUE != f)
	{
		m_dtFileDate = stFindData.ftLastWriteTime;
		FindClose(f);
	}
}

CFileInfo::~CFileInfo()
{

}
